import React from 'react';
import { DatePicker } from 'antd';
import styles from './styles.less';
import { ApolloDateProps } from '../editInterface';
import { antiAssign } from '@/apollo-table/utils/utils';
import CellContainer from '../container';

const ApolloDate = (props: ApolloDateProps) => {
    const { onChange } = props;
    const selfProps = antiAssign(props, ['onChange', 'columnConfig']);
    const changeValue = (date, dateString) => {
        if (typeof onChange === 'function') {
            onChange(date, dateString);
        }
    };
    return <DatePicker className={styles.date} {...selfProps} onChange={changeValue} />;
};
export default CellContainer(ApolloDate);
