import React from 'react';
import { InputNumber } from 'antd';
import styles from './styles.less';
import { ApolloNumberProps } from '../editInterface';
import { antiAssign } from '@/apollo-table/utils/utils';
import CellContainer from '../container';

const ApolloNumber = (props: ApolloNumberProps) => {
    const { onChange } = props;
    const selfProps = antiAssign(props, ['columnConfig', 'onChange']);

    const changeValue = (value) => {
        if (typeof onChange === 'function') {
            onChange(value);
        }
    };

    return <InputNumber className={styles.number} {...selfProps} onChange={changeValue} />;
};
export default CellContainer(ApolloNumber);
