import React from 'react';
import ApolloNumber from '@/apollo-table/component/base/edit/number';
import { isNumber } from '@/apollo-table/utils/utils';

const ApolloPercentage = (props) => {
    return (
        <ApolloNumber
            {...props}
            formatter={(value) => {
                if (isNumber(value)) {
                    return `${value}%`;
                }
                return '';
            }}
            parser={(value) => {
                if (value) {
                    return Number(value.replace('%', ''));
                }
                return '';
            }}
        />
    );
};

export default ApolloPercentage;
