import React, { useEffect, useRef, useState } from 'react';
import Search from '../../extra/orgTreeSelect';
import { ApolloTreeSelectProps } from '../editInterface';
import { antiAssign } from '@/apollo-table/utils/utils';
import CellContainer from '../container';
import s from './index.less';

const ApolloTreeSelect = (props: ApolloTreeSelectProps) => {
    const { onChange, isMultiple } = props;
    const selfProps = antiAssign(props, ['columnConfig', 'onChange', 'isMultiple']);

    const changeValue = (value) => {
        if (typeof onChange === 'function') {
            onChange(value, value);
        }
    };

    return (
        <Search
            className={s.search}
            multiple={isMultiple}
            {...selfProps}
            onChange={changeValue}
            initDataType="onfocus"
        />
    );
};
export default CellContainer(ApolloTreeSelect);
